Package be.fgov.ehealth.rn.baselegaldata.v1

# Class AbstractOptionalSubregisterType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalSubregisterType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SubregisterBaseType`, `SubregisterWithStatusAndSourceType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public abstract class AbstractOptionalSubregisterType extends Object implements Serializable

Java class for AbstractOptionalSubregisterType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AbstractOptionalSubregisterType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <group ref="{urn:be:fgov:ehealth:rn:baselegaldata:v1}SubregisterGroup" minOccurs="0"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractOptionalSubregisterType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getInceptionDate()`
  Gets the value of the inceptionDate property.
  `Integer`
  `getSubregisterCode()`
  Gets the value of the subregisterCode property.
  `List<LocalizedDescriptionType>`
  `getSubregisterDescriptions()`
  Gets the value of the subregisterDescriptions property.
  `void`
  `setInceptionDate(Instant value)`
  Sets the value of the inceptionDate property.
  `void`
  `setSubregisterCode(Integer value)`
  Sets the value of the subregisterCode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractOptionalSubregisterType

    public AbstractOptionalSubregisterType()

- ## Method Details

  - ### getSubregisterCode

    public Integer getSubregisterCode()
    Gets the value of the subregisterCode property.
    Returns:
      possible object is `Integer`

  - ### setSubregisterCode

    public void setSubregisterCode(Integer value)
    Sets the value of the subregisterCode property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getSubregisterDescriptions

    public List<LocalizedDescriptionType> getSubregisterDescriptions()
    Gets the value of the subregisterDescriptions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the subregisterDescriptions property.

    For example, to add a new item, do as follows:

         getSubregisterDescriptions().add(newItem);

    Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

    Returns:
      The value of the subregisterDescriptions property.

  - ### getInceptionDate

    public Instant getInceptionDate()
    Gets the value of the inceptionDate property.
    Returns:
      possible object is `String`

  - ### setInceptionDate

    public void setInceptionDate(Instant value)
    Sets the value of the inceptionDate property.
    Parameters:
      `value` - allowed object is `String`